Tìm kiếm chủ đề (hashtag)
curl --request GET \
--url https://api.fireant.vn/hashtags/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/hashtags/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/hashtags/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/hashtags/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/hashtags/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/hashtags/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/hashtags/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"symbol": "<string>",
"isListing": true,
"name": "<string>",
"exchange": "<string>",
"instrument": "<string>",
"type": "<string>",
"industryCode": "<string>",
"icbCode": "<string>"
}
]HashTags
Tìm kiếm chủ đề (hashtag)
GET
/
hashtags
/
search
Tìm kiếm chủ đề (hashtag)
curl --request GET \
--url https://api.fireant.vn/hashtags/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/hashtags/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/hashtags/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/hashtags/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/hashtags/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/hashtags/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/hashtags/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"symbol": "<string>",
"isListing": true,
"name": "<string>",
"exchange": "<string>",
"instrument": "<string>",
"type": "<string>",
"industryCode": "<string>",
"icbCode": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Từ khóa tìm kiếm
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Mã chứng khoán
Đang niêm yết hay không (true: Đang niêm yết)
Tên doanh nghiệp
Sàn niêm yết
Loại chứng khoán (stock: Cổ phiếu, index: Chỉ số, futures: Hợp đồng tương lai, warrant: Chứng quyền, fund: Quỹ, bond: Trái phiếu, commodity: Hàng hóa)
Mã ngành ICB
Mã ngành ICB mới